<template>
  <v-menu transition="slide-y-transition">
    <template v-slot:activator="{ props }">
      <v-btn icon="mdi-dots-vertical" v-bind="props" elevation="0"></v-btn>
    </template>
    <v-list>
      <v-list-item @click="$emit('edit:chart')">
        <v-list-item-title>
          <v-row>
            <v-col align="left">
              <v-icon icon="mdi-pencil-outline" color="#7f7c7c"></v-icon>
            </v-col>
            <v-col style="color:#7f7c7c"> Edit </v-col>
          </v-row>
        </v-list-item-title>
      </v-list-item>
      <v-list-item @click="$emit('duplicate:chart')">
        <v-list-item-title>
          <v-row>
            <v-col align="left">
              <v-icon icon="mdi-content-duplicate" color="#7f7c7c"></v-icon>
            </v-col>
            <v-col style="color:#7f7c7c"> Duplicate </v-col>
          </v-row>
        </v-list-item-title>
      </v-list-item>
      <v-list-item @click="$emit('delete:chart')">
        <v-list-item-title>
          <v-row>
            <v-col align="left">
              <v-icon icon="mdi-delete-outline" color="red"></v-icon>
            </v-col>
            <v-col style="color:#F44336"> Delete </v-col>
          </v-row>
        </v-list-item-title>
      </v-list-item>
    </v-list>
  </v-menu>
</template>

<script>
export default {
  name: "SettingChart",
  emits: ["delete:chart", "edit:chart","duplicate:chart"],
};
</script>